package collision;
import java.awt.Graphics2D;
import java.util.List;

public class GameState {

	private MovingObject player;
	private List<GameObject> staticObjects;
	
	public GameState() {
		super();
	}

	public MovingObject getPlayer() { return player; }
	public void setPlayer(MovingObject player) { this.player = player; }

	public List<GameObject> getStaticObjects() { return staticObjects; }
	public void setStaticObjects(List<GameObject> staticObjects) { this.staticObjects = staticObjects; }

	public void update() {
		player.update();
	}

	public void draw(Graphics2D dbg) {
		for (GameObject o : staticObjects) {
			o.draw(dbg);
		}
		player.draw(dbg);
	}

	public void setXYDirection(int x, int y) {
		player.setXYDirection(x, y);
	}
	
}
