package collision;

import java.awt.Point;
import java.util.ArrayList;
import java.util.Properties;
import java.util.StringTokenizer;

public class PolygonUtils {

	// extracts polygon-coordinates from the given property file
	public static ArrayList<Point> readFromFile(String name) {
		ArrayList<Point> points = new ArrayList<Point>();
		String pathname = "bounding/" + name + ".bounds";
		
		try  {
			Properties props = new Properties();	// load properties
			props.load(GameObject.class.getResourceAsStream(pathname));

			int x, y;								// parse props & create polygon
			String coords = props.getProperty("polygon.0");
			StringTokenizer commaSeparated = new StringTokenizer(coords, ",");
			while (commaSeparated.hasMoreTokens()) {
				String coord = commaSeparated.nextToken();
				StringTokenizer slashSeparated = new StringTokenizer(coord, "/");
				x = Integer.parseInt(slashSeparated.nextToken());
				y = Integer.parseInt(slashSeparated.nextToken());
				points.add(new Point(x,y));
			}
		} catch (Exception e) {
			System.out.println("Error during load/parse of property-file " + pathname);
			e.printStackTrace();
		}
		
		return points;
	}
}
